Skip to main content
GET
/
api
/
v3
/
departments
List Departments (v3)
curl --request GET \
  --url https://{host}/api/v3/departments \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/api/v3/departments"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/api/v3/departments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "items": [
      {
        "name": "<string>",
        "code": "<string>",
        "id": 123,
        "hierarchy": "<string>",
        "parentId": "<string>",
        "isActive": true,
        "position": 55000000000000000000,
        "level": 123,
        "sortOrder": 2,
        "headID": 123,
        "head": {
          "id": 123,
          "name": "<string>",
          "url": "<string>"
        },
        "users": [
          {
            "id": 123,
            "name": "<string>",
            "url": "<string>"
          }
        ],
        "currentUsers": [
          {
            "id": 123,
            "name": "<string>",
            "url": "<string>"
          }
        ],
        "currentUsersCount": 1
      }
    ]
  }
}
{
"Status": 123,
"Message": "<string>"
}
{
"Status": 123,
"Message": "<string>"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

headId
integer

ID of the user who is head of the department.

parentId
integer

ID of the parent department.

paging
string
required

{offset},{limit}. Defaults to 0,1000.

Example:

"100,0"

Response

OK

data
object